VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL clk_cpu
        SIGNAL din(15:0)
        SIGNAL mem_cpu
        SIGNAL rw_cpu
        SIGNAL dout(15:0)
        SIGNAL irq_cpu
        SIGNAL adr(15:0)
        SIGNAL adr(14:0)
        SIGNAL adr(15)
        BEGIN SIGNAL a(14:0)
            BEGIN ATTR LOC "A10,E9,F12,D9,C7,C9,B9,C12,D12,B13,F13,C13,D14,A17,A16"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        BEGIN SIGNAL d(15:0)
            BEGIN ATTR LOC "U9,V12,U7,P14,U20,T20,U19,P16,P13,R14,U13,R13,W20,W15,U12,W13"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        BEGIN SIGNAL rw
            BEGIN ATTR LOC "A12"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        BEGIN SIGNAL oe
            BEGIN ATTR LOC "A8"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        BEGIN SIGNAL ramsel
            BEGIN ATTR LOC "V13"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        BEGIN SIGNAL romsel
            BEGIN ATTR LOC "A7"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        BEGIN SIGNAL iosel
            BEGIN ATTR LOC "C20"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        BEGIN SIGNAL irq
            BEGIN ATTR LOC "G18"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        BEGIN SIGNAL clk
            BEGIN ATTR LOC "V11"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        BEGIN SIGNAL reset
            BEGIN ATTR LOC "A19"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        BEGIN SIGNAL outport(7:0)
            BEGIN ATTR LOC "P17,N15,R17,R18,N18,M19,K14,K16"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        BEGIN SIGNAL inport(7:0)
            BEGIN ATTR LOC "G16,F19,F17,F16,H19,E16,H18,G20"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        PORT Output a(14:0)
        PORT BiDirectional d(15:0)
        PORT Output rw
        PORT Output oe
        PORT Output ramsel
        PORT Output romsel
        PORT Output iosel
        PORT Input irq
        PORT Input clk
        PORT Input reset
        PORT Output outport(7:0)
        PORT Input inport(7:0)
        BEGIN BLOCKDEF cpu
            TIMESTAMP 2007 11 27 15 54 44
            RECTANGLE N 0 -448 320 52 
        END BLOCKDEF
        BEGIN BLOCKDEF inter
            TIMESTAMP 2007 11 27 16 9 0
            RECTANGLE N 0 -480 384 48 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCKDEF ram
            TIMESTAMP 2007 5 3 11 34 24
            RECTANGLE N -16 -68 148 160 
        END BLOCKDEF
        BEGIN BLOCKDEF rom
            TIMESTAMP 2007 5 4 9 24 12
            RECTANGLE N -16 -68 148 160 
        END BLOCKDEF
        BEGIN BLOCKDEF ibuf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF inv8
            TIMESTAMP 2000 1 1 10 10 10
            CIRCLE N 128 -48 160 -16 
            LINE N 0 -32 64 -32 
            RECTANGLE N 160 -44 224 -20 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            LINE N 224 -32 160 -32 
        END BLOCKDEF
        BEGIN BLOCK cpu1 cpu
            PIN din(15:0) din(15:0)
            PIN irq irq_cpu
            PIN mem mem_cpu
            PIN clk clk_cpu
            PIN rw rw_cpu
            PIN dout(15:0) dout(15:0)
            PIN adr(15:0) adr(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_6 buf
            PIN I adr(15)
            PIN O
        END BLOCK
        BEGIN BLOCK inter1 inter
            PIN din(15:0) din(15:0)
            PIN rw rw
            PIN oe oe
            PIN ramsel ramsel
            PIN romsel romsel
            PIN iosel iosel
            PIN irq irq
            PIN clk clk
            PIN rw_cpu rw_cpu
            PIN irq_cpu irq_cpu
            PIN mem_cpu mem_cpu
            PIN clk_cpu clk_cpu
            PIN a(14:0) a(14:0)
            PIN d(15:0) d(15:0)
            PIN dout(15:0) dout(15:0)
            PIN adr(14:0) adr(14:0)
        END BLOCK
        BEGIN BLOCK XLXI_135 ram
            PIN a(14:0) a(14:0)
            PIN rw rw
            PIN d(15:0) d(15:0)
            PIN cs ramsel
            PIN oe oe
        END BLOCK
        BEGIN BLOCK XLXI_136 rom
            PIN a(14:0) a(14:0)
            PIN d(15:0) d(15:0)
            PIN cs romsel
            PIN oe oe
        END BLOCK
        BEGIN BLOCK XLXI_8 ibuf
            PIN I reset
            PIN O
        END BLOCK
        BEGIN BLOCK XLXI_140 inv8
            PIN I(7:0) inport(7:0)
            PIN O(7:0) outport(7:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 2688 1900
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        BEGIN BRANCH dout(15:0)
            WIRE 560 1456 672 1456
            WIRE 672 1456 1328 1456
            BEGIN DISPLAY 672 1456 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH irq_cpu
            WIRE 560 1680 656 1680
            WIRE 656 1680 1328 1680
            BEGIN DISPLAY 656 1680 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH adr(15:0)
            WIRE 560 1328 656 1328
            WIRE 656 1328 736 1328
            WIRE 736 1200 736 1232
            WIRE 736 1232 736 1296
            WIRE 736 1296 736 1328
            BEGIN DISPLAY 656 1328 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE cpu1 240 1744 R0
        END INSTANCE
        BUSTAP 736 1296 832 1296
        BUSTAP 736 1232 832 1232
        BEGIN BRANCH adr(15)
            WIRE 832 1232 848 1232
            WIRE 848 1232 928 1232
            BEGIN DISPLAY 848 1232 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH a(14:0)
            WIRE 1712 1456 1824 1456
            WIRE 1824 1456 2128 1456
            WIRE 2128 1456 2368 1456
            WIRE 1824 912 2320 912
            WIRE 1824 912 1824 1152
            WIRE 1824 1152 1824 1456
            WIRE 1824 1152 2320 1152
            BEGIN DISPLAY 2128 1456 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                FONT 12 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(15:0)
            WIRE 1712 1392 1792 1392
            WIRE 1792 1392 2128 1392
            WIRE 2128 1392 2368 1392
            WIRE 1792 880 2320 880
            WIRE 1792 880 1792 1120
            WIRE 1792 1120 1792 1392
            WIRE 1792 1120 2320 1120
            BEGIN DISPLAY 2128 1392 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                FONT 12 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN BRANCH rw
            WIRE 1712 1552 1856 1552
            WIRE 1856 1552 2256 1552
            WIRE 2256 1552 2368 1552
            WIRE 1856 960 2320 960
            WIRE 1856 960 1856 1552
            BEGIN DISPLAY 2256 1552 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN BRANCH oe
            WIRE 1712 1584 1872 1584
            WIRE 1872 1584 2240 1584
            WIRE 2240 1584 2368 1584
            WIRE 1872 992 2320 992
            WIRE 1872 992 1872 1232
            WIRE 1872 1232 2320 1232
            WIRE 1872 1232 1872 1584
            BEGIN DISPLAY 2240 1584 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ramsel
            WIRE 1712 1616 1888 1616
            WIRE 1888 1616 2256 1616
            WIRE 2256 1616 2368 1616
            WIRE 1888 1024 2320 1024
            WIRE 1888 1024 1888 1616
            BEGIN DISPLAY 2256 1616 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN BRANCH romsel
            WIRE 1712 1648 1904 1648
            WIRE 1904 1648 2256 1648
            WIRE 2256 1648 2368 1648
            WIRE 1904 1264 2320 1264
            WIRE 1904 1264 1904 1648
            BEGIN DISPLAY 2256 1648 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN BRANCH iosel
            WIRE 1712 1680 2256 1680
            WIRE 2256 1680 2368 1680
            BEGIN DISPLAY 2256 1680 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN BRANCH irq
            WIRE 1712 1712 2256 1712
            WIRE 2256 1712 2368 1712
            BEGIN DISPLAY 2256 1712 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN BRANCH clk
            WIRE 1712 1744 2256 1744
            WIRE 2256 1744 2368 1744
            BEGIN DISPLAY 2256 1744 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE inter1 1328 1744 R0
        END INSTANCE
        IOMARKER 2368 1552 rw R0 28
        IOMARKER 2368 1584 oe R0 28
        IOMARKER 2368 1616 ramsel R0 28
        IOMARKER 2368 1648 romsel R0 28
        IOMARKER 2368 1680 iosel R0 28
        IOMARKER 2368 1712 irq R0 28
        IOMARKER 2368 1744 clk R0 28
        IOMARKER 2368 1456 a(14:0) R0 28
        IOMARKER 2368 1392 d(15:0) R0 28
        BEGIN INSTANCE XLXI_135 2336 880 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_136 2336 1120 R0
        END INSTANCE
        BEGIN BRANCH rw_cpu
            WIRE 560 1552 656 1552
            WIRE 656 1552 1328 1552
            BEGIN DISPLAY 656 1552 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH mem_cpu
            WIRE 560 1616 656 1616
            WIRE 656 1616 1328 1616
            BEGIN DISPLAY 656 1616 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH clk_cpu
            WIRE 560 1744 656 1744
            WIRE 656 1744 1328 1744
            BEGIN DISPLAY 656 1744 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH adr(14:0)
            WIRE 832 1296 864 1296
            WIRE 864 1296 1328 1296
            BEGIN DISPLAY 864 1296 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH din(15:0)
            WIRE 560 1392 656 1392
            WIRE 656 1392 1104 1392
            WIRE 1104 1392 1328 1392
            BEGIN DISPLAY 656 1392 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_6 960 1232 R270
        BEGIN BRANCH reset
            WIRE 320 176 464 176
            WIRE 464 176 560 176
            BEGIN DISPLAY 464 176 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_8 560 208 R0
        IOMARKER 320 176 reset R180 28
        BEGIN BRANCH outport(7:0)
            WIRE 1552 320 1888 320
            WIRE 1888 320 2176 320
            BEGIN DISPLAY 1888 320 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN BRANCH inport(7:0)
            WIRE 1552 96 1856 96
            WIRE 1856 96 2160 96
            BEGIN DISPLAY 1856 96 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        IOMARKER 2176 320 outport(7:0) R0 28
        IOMARKER 2160 96 inport(7:0) R0 28
        INSTANCE XLXI_140 1520 96 R90
    END SHEET
END SCHEMATIC
