--------------------------------------------------------------------------------
-- Copyright (c) 1995-2007 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 9.1.03i
--  \   \         Application : 
--  /   /         Filename : xil_2628_16
-- /___/   /\     Timestamp : 05/03/2007 13:36:33
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: 
--Design Name: 
--

use std.textio.all;
library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
use IEEE.std_logic_unsigned.all;
use IEEE.std_logic_arith.all;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity ram is
   port ( a  : in    std_logic_vector (14 downto 0); 
          cs : in    std_logic; 
          oe : in    std_logic; 
          rw : in    std_logic; 
          d  : inout std_logic_vector (15 downto 0));
end ram;

architecture BEHAVIORAL of ram is
begin

mem:process
   type memory_array is array (natural range 0 to 32767) of std_logic_vector(15 downto 0);
   variable mem: memory_array;
   variable adr: natural;
   variable dat: natural;
   file file_dat: text is in "ram_data.txt";
   variable s: line;

   begin
      for adr in 0 to 32767 loop
         mem(adr) := "0000000000000000";
      end loop;
		
		while not endfile(file_dat) loop
		   readline(file_dat,s);
   		read(s,adr); 
	   	read(s,dat); 
         mem(adr):= conv_std_logic_vector(dat,16);
      end loop;
		
      loop
        if cs = '0' then
           adr := conv_integer( a );
           if rw = '0' then
              mem(adr) := d(15 downto 0);
              d <= "ZZZZZZZZZZZZZZZZ";
           else
              if oe = '0' then
                 d <= mem(adr);
              else
                 d <= "ZZZZZZZZZZZZZZZZ";
              end if;
           end if;
        else
           d <= "ZZZZZZZZZZZZZZZZ";
		  end if;

        wait on cs, rw, oe, a, d;
      end loop;
   end process;
end BEHAVIORAL;

-- synopsys translate_off
configuration CFG_ram of  ram is
   for BEHAVIORAL
   end for;
end CFG_ram;
-- synopsys translate_on
