--------------------------------------------------------------------------------
-- Copyright (c) 1995-2007 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 9.1.03i
--  \   \         Application : 
--  /   /         Filename : xil_1752_16
-- /___/   /\     Timestamp : 05/04/2007 11:28:15
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: 
--Design Name: 
--

use std.textio.all;
library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
use IEEE.std_logic_unsigned.all;
use IEEE.std_logic_arith.all;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity rom is
   port ( a  : in    std_logic_vector (14 downto 0); 
          cs : in    std_logic; 
          oe : in    std_logic; 
          d  : inout std_logic_vector (15 downto 0));
end rom;

architecture BEHAVIORAL of rom is
begin

d <= "ZZZZZZZZZZZZZZZZ";

mem:process
   type memory_array is array (natural range 0 to 32767) of std_logic_vector(15 downto 0);
   variable mem: memory_array;
   variable adr: natural;
   variable dat: natural;
   file file_dat: text is in "rom_data.txt";
   variable s: line;

   begin
      for adr in 0 to 32767 loop
         mem(adr) := "0000000000000000";
      end loop;

		while not endfile(file_dat) loop
		   readline(file_dat,s);
   		read(s,adr); 
	   	read(s,dat); 
         --write(s,adr); write(s," "); write(s,dat); writeline(output,s);
         mem(adr):= conv_std_logic_vector(dat,16);
      end loop;

      loop
         if cs = '0' then
            adr := conv_integer( a );
            if oe = '0' then
               d <= mem(adr);
             else
               d <= "ZZZZZZZZZZZZZZZZ";
            end if;
         else
           d <= "ZZZZZZZZZZZZZZZZ";
         end if;

         wait on cs, oe, a, d;
      end loop;
   end process;
end BEHAVIORAL;

-- synopsys translate_off
configuration CFG_rom of  rom is
   for BEHAVIORAL
   end for;
end CFG_rom;
-- synopsys translate_on

